# Web experimentation

## 1 - Retrieve your credentials

{% hint style="warning" %}
🚧 Access to your credentials

This feature is still in Early Adoption phase, if you want to try it and have any questions, feel free to ask [**product.feedback@abtasty.com**](mailto:product.feedback@abtasty.com)
{% endhint %}

![Create credentials](/files/5Sa5qOnVGnqtyghsmsPJ) Create credentials

## 2 - Use [auth login](https://docs.developers.flagship.io/docs/web-experimentation-authentication) command

Once you retrieve your credentials, use the `abtasty-cli web-exp auth login`cmd to create your auth file. You can create an auth file in two ways:

### insert credentials

```shell
abtasty-cli web-exp auth login --username USERNAME -i CLIENT_ID -s CLIENT_SECRET
```

### insert a file

The file inserted must have the same schema as the example below to extract the credentials.

```yaml
username: username
client_id: ci
client_secret: cs
```

```shell
abtasty-cli web-exp auth login -p PATH_FILE
```

The `abtasty-cli web-exp auth login` command will open browser to login into AB Tasty platform then creates a file with the username name as fileName and stores it in $HOME/.abtasty/credentials/we/USERNAME.yaml and writes the value of the flags as key-value pairs then you can use the use command to generate the access token to manage your flagship resources automatically.

{% hint style="info" %}
📘 List configurations

You can use the command`abtasty-cli web-exp auth list`to check your auth files
{% endhint %}

## 3 - Use [account use](https://docs.developers.flagship.io/docs/web-experimentation-account) command

{% hint style="warning" %}
🚧 List accounts

You need to use the command`abtasty-cli web-exp account list` to list all account related.
{% endhint %}

The use command lets you select the account you want to manage

```shell
abtasty-cli web-exp account use -i ACCOUNT_ID
```

The command generates a token that expires after 24 hours and automatically refreshes.

{% hint style="success" %}
👍 CLI usage

After selecting an auth file, you are good to go !
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abtasty.com/server-side/command-line-interface/quickstart/quick-start-web-experimentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
